# Uses of Class
org.apache.sling.testing.teleporter.client.ClientSideTeleporter

## Uses of ClientSideTeleporter in org.apache.sling.testing.teleporter.client

Methods in org.apache.sling.testing.teleporter.client that return ClientSideTeleporter
Modifier and Type
Method
Description
`ClientSideTeleporter`
ClientSideTeleporter.`embedClass(Class<?> c)`
Indicate that a specific class must be embedded in the test bundle.
`ClientSideTeleporter`
ClientSideTeleporter.`excludeDependencyPrefix(String prefix)`
Define a prefix for class names that should not be embedded in the test bundle.
`ClientSideTeleporter`
ClientSideTeleporter.`includeDependencyPrefix(String prefix)`
Define a prefix for class names that can be embedded in the test bundle if the `DependencyAnalyzer` thinks they should.